/* ------------------------------------- */
/* ---- Core/Default Functionality ----- */
/* ------------------------------------- */

.Outer
{
    width: 100%;
    height: 100%;
}

#Inner
{
    width: 100%;
    height: 100%;
}

.ProgressBarParent
{
    width: 70px;
    flow-children: down;
}

.ProgressBarLabel
{
    align: center center;
    /*font-weight: bold;*/
    font-size: 12;
    font-weight: bold;
    padding: 2px;
    color: #bbbbbb;
    width: 100%;
    font-family: MingLiU;
}

.ProgressBar
{
    width: 100%;
    height: 14px;
    border: 1px solid #222222;
    border-radius: 1px;
    z-index: 1;
}

.ProgressBarProgress
{
    width: 50%;
    height: 100%;
    background-color: gradient( linear, 0% 0%, 100% 100%, from(#104010), to(#206010));
    align: left center;
    z-index: 2;
}

.ProgressBarForeground
{
    z-index: 3;
    width: 100%;
    height: 100%;
}

.red .ProgressBarLabel
{
    color: #662222;
}

.red .ProgressBarProgress
{
    background-color: #401010;
}


/* ------------------------------------- */
/* --------- SM Related Stuff ---------- */
/* ------------------------------------- */

.EnrageStacks.ProgressBarParent
{
    transform: translate3d(-1px, -25px, 0px);
    width: 106px;
}

.EnrageStacks .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#bb4400), to (#440000));
}

.EnrageStacks .ProgressBar
{
    height: 12px;
    border: 1px solid #999999;
}

.EnrageStacks .ProgressBarLabel
{
    text-align: center;
    border-radius: 8px;
    background-color: #22222288;
}

.Enraged .ProgressBar
{
    height: 12px;
    border: 1px solid #999999;
    box-shadow: fill #bb4400 0px 0px 4px 4px;
}

.Enraged .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#CC0000), to (#220000));
}

.Enraged .ProgressBarLabel
{
    text-align: center;
    border-radius: 8px;
    background-color: #22222288;
}

.Enraged.ProgressBarParent
{
    transform: translate3d(-1px, -25px, 0px);
    width: 106px;
}

/* ------------------------------------- */
/* --------- ABM Hacking Stuff --------- */
/* ------------------------------------- */

.Hacking.ProgressBarParent
{
    transform: translate3d(-1px, -75px, 0px) scale3d(1, -1, 1);
    width: 106px; 
}

.Hacking .ProgressBar
{
    height: 16px;
    border: 1px solid #999999;
    background-color: #000000BB;
}

.Hacking .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#002288), to (#2244CC));
}

.Hacking .ProgressBarLabel
{
    margin-bottom: -16px;
    transform: scale3d(1, -1, 1);
    text-align: center;
    border-radius: 8px;
    z-index: 3;
}
.HackingCooldown.ProgressBarParent
{
    transform: translate3d(-1px, -75px, 0px) scale3d(1, -1, 1);
    width: 106px; 
}

.HackingCooldown .ProgressBar
{
    height: 16px;
    border: 1px solid #999999;
    background-color: #000000BB;
}

.HackingCooldown .ProgressBarProgress  
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#442200), to (#882200));
}

.HackingCooldown .ProgressBarLabel
{
    margin-bottom: -16px;
    transform: scale3d(1, -1, 1);
    text-align: center;
    border-radius: 8px;
    z-index: 3;
}

/* ------------------------------------- */
/* ----------- Firefly Stuff ----------- */
/* ------------------------------------- */

.Firefly.ProgressBarParent
{
    transform: translate3d(-5px, -25px, 0px);
    width: 70px;
}

.Firefly .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#CC6C20), to (#FFCC60));
}

.Firefly .ProgressBar
{
    height: 8px;
    border: 1px solid #444444;
    background-color: #000000BB;
}


/* ------------------------------------- */
/* --------- APC Related Stuff --------- */
/* ------------------------------------- */

.APCEight .ProgressBarForeground
{
    background-image: url("file://{images}/progressbars/8slot.png");
    background-size: 100% 100%;
    background-repeat: no-repeat no-repeat;
}

.APCTen .ProgressBarForeground
{
    background-image: url("file://{images}/progressbars/10slot.png");
    background-size: 100% 100%;
}

.APCEight .ProgressBarProgress
{
    background-color: green;
}

.APCEight .ProgressBar
{
    height: 12px;
}

.APCTen .ProgressBar
{
    height: 12px;
}

.APCTen .ProgressBarProgress
{
    background-color: green;
}

.whiteGradient .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#FFFFFF), to (#000000));
}

.APCEight.ProgressBarParent
{
    transform: translateY(-40px);
}

.APCTen.ProgressBarParent
{
    transform: translateY(-40px);
}

.whiteGradient .ProgressBarLabel
{
    transform: translateY(10px);
    height: 25px;
    text-align: center;
    font-size: 18px;
    color: #000000;
    text-shadow: 0px 0px 2px 1.0 #888888;
}

.whiteGradient.ProgressBarParent
{
    height: 40px;
    transform: translateY(0px);
}

.whiteGradient .ProgressBar
{
    height: 12px;
    border: 2px solid #000000;
    align: center bottom;
}


/* ------------------------------------- */
/* ------ Nemesis Forcefield Stuff ----- */
/* ------------------------------------- */

.NemForcefield.ProgressBarParent
{
    transform: translate3d(-1px, 2px, 0px) scale3d(1, -1, 1);
    width: 84px;
}

.NemForcefield .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#0000dd), to (#4444ff));
}

.NemForcefield .ProgressBar
{
    height: 14px;
    border: 1px solid #999999;
    background-color: black;
}

.NemForcefield .ProgressBarLabel
{
    margin-bottom: -16px;
    transform: scale3d(1, -1, 1);
    text-align: center;
    border-radius: 8px;
    z-index: 3;
}


/* ------------------------------------- */
/* ----- Scientist Inventing Stuff ----- */
/* ------------------------------------- */

.Inventing.ProgressBarParent
{
    transform: translate3d(-1px, -60px, 0px) scale3d(1, -1, 1);
    width: 106px; 
}

.Inventing .ProgressBar
{
    height: 16px;
    border: 1px solid #999999;
    background-color: #000000BB;
}

.Inventing .ProgressBarProgress
{
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#845F07), to (#AD8F00));
}

.Inventing .ProgressBarLabel
{
    margin-bottom: -16px;
    transform: scale3d(1, -1, 1);
    text-align: center;
    border-radius: 8px;
    z-index: 3;
}

/* ------------------------------------- */
/* ----- Graveyard Antiphase Stuff ----- */
/* ------------------------------------- */

.PhaseDisruptor.ProgressBarParent
{
    transform: translate3d(-1px, -75px, 0px) scale3d(1, -1, 1);
    width: 106px; 
    box-shadow: 0px 1px 8px #662200;
    padding-top: -2px;
    padding-bottom: -2px;
}

.PhaseDisruptor .ProgressBar
{
    height: 20px;
    border: 2px solid #662200;
    background-color: #000000BB;
}

.PhaseDisruptor .ProgressBarProgress
{
    transition: width 5s linear 0s;
    background-color: gradient( linear, 0% 0%, 0% 90%, from (#662200), to (#AA2200));
}

.PhaseDisruptor .ProgressBarLabel
{
    margin-bottom: -19px;
    transform: scale3d(1, -1, 1);
    text-align: center;
    border-radius: 8px;
    z-index: 3;
}
